7 Replies Latest reply on Dec 29, 2015 11:37 AM by Mukib

    Cannot open lightroom CC. Gives an error message that this version is too new to be supported. Do you want to choose another catalogue?

    Mukib Level 1

      When I try to open lightroom cc, it gives a message that this catalogue is too new to be supported by this version of Lightroom. Would you like to choose a different catalogue?